Join Session

This API will allow attendees to join a workshop (internal using chime) session, and it will return meeting details like meeting, attendee, speakersOrModeratorsUserIds, eventAdmins in response.

Need to send eventurl and id (Session ID) as path parameters.

This API can be used by any registered attendee within the event.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns to the form of JSON.

AttributesDescription
attendeeReturns join user details in JSON. JSON contains full name, attendee ID and Join Token.
capacityReturns the set capacity in numerical value which is the maximum number of users that are allowed to join the session.
currentUserRegisteredEventTicketIdReturns the Event Ticketing ID that a user registered with for a session. Event Ticketing ID generates when we create ticketing types.
descriptionReturns the description of the session.
Only 65,024 characters are allowed in the description.
chatEnabledIf enabled chat is true, then session chat will show in portal page. If false, then it will not show.
pollEnabledIf enabled poll is true, then session poll will show in portal page. If false, then it will not show.
quesAndAnsEnabledIf enabled Q&A is true, then session Q&A will show in portal page. If false, then it will not show.
durationReturns the session time duration.
endTimeReturns the session end time. Will show in YYYY/MM/DD HH:MM format.
eventAdminsReturns a list of admin user IDs.
format

Returns the session format.

There are seven type of session that can be created: MAIN_STAGE, BREAKOUT_SESSION, MEET_UP, WORKSHOP, EXPO, BREAK, OTHER.

hideSessionFromAttendeesIf true, the session will be hidden from attendees on the event landing page & virtual event hub. If false, it will be visible in both areas.
meeting

Returns the meeting details in JSON.

JSON contains meeting information like MeetingId, AudioHostUrl, AudioFallbackUrl, ScreenDataUrl, ScreenViewingUrl and many others.

purchaserUserRegisteredEventTicketIdReturns the Event Ticketing ID that a user purchased for a session. Event Ticketing ID generates when we create Ticketing Type.
registerdHolderUsersReturns the details of registered users for the specific session. Details are event ticketing ID, user ID, first name, last name, email, phone number and others.
sessionIdThis session ID represent unique ID of each session. It will generate automatically whenever a new session is created.
sessionStats

Returns the details of attendee count, interested user count, and registered user count.

Details will need to pass in API endpoint as expand.

speakerListReturns the list of speakers that are associated with the specific session. It contains speaker details like speakerId, firstname, lastName, and photoUrl among others.
speakersOrModeratorsUserIdsReturns the list of speakers or moderators user IDs.
sponsorListReturns the details of session sponsors.
startTimeReturns the session start time. Will return in YYY/MM/DD HH:MM format.
status

Returns the session status type: VISIBLE, HIDDEN.

Visible status will show in session list and hidden status will do not show in session list.

titleReturns the title of the specific session.

Here is the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource.
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
4010101Not authorized.
4040200Event not found.
404800Session not found.
Path Params
string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

int32
required

For getting particular session need to pass event session id for join particular session

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json